package guicop;

public class GCArcComp extends GCPrimitiveComp {
  public int x1, y1, x2, y2, r1, r2;
  public GCArcComp( int x1, int  y1, int  x2, int  y2, int  r1, int  r2) {
    this.x1=x1;
    this.y1=y1;
    this.x2=x2;
    this.y2=y2;
    this.r1=r1;
    this.r2=r2;
  }

  public boolean equals(GCArcComp comp) {
    return x1 == comp.x1 && y1 == comp.y1 && x2 == comp.x2 && y2 == comp.y2 && r1 == comp.r1 && r2 == comp.r2;
  }

  public String toString() {
    return "component " + Integer.toString(id) +  "arc(" + 
      Integer.toString(x1) + "," + 
      Integer.toString(y1) + "," + 
      Integer.toString(x2) + "," + 
      Integer.toString(y2) + "," + 
      Integer.toString(r1) + "," + 
      Integer.toString(r2) + 
       ")";
  }
}
