package guicop;
import java.util.*;

public class GCExpressionConcat extends GCBinaryOperator {

	public GCExpressionConcat(GCNode left, GCNode right) {
    super(left, right);
	}

 @Override
 public int computeInt(GCCompositeComp composite, int depth) {
   assert(false);
   return 0;
 }


 @Override
  public String getPrettyName() {
    return "above";
  }

 @Override
  public String computeText(GCCompositeComp composite, int depth){
    GCExpression left = (GCExpression) getLeft();
    GCExpression right = (GCExpression) getRight();
    String str1 = left.computeText(composite, depth+1);
    String str2 = right.computeText(composite, depth+1);
    return str1 + str2;
  }
	
  public ArrayList <GCComponent> executeOp(ArrayList<GCComponent > leftSolution , ArrayList<GCComponent > rightSolution) {
    for (GCComponent comp1 : leftSolution) {
      for (GCComponent comp2 : rightSolution) {
        // <joker,joker,...,joker>.text = concatenation
        try {
          GCCompositeComp composite = new GCCompositeComp (comp1.composite(),comp2.composite());
          composite.strVal = comp1.getStringValue () + comp2.getStringValue ();
          matches.add(composite);
        } catch (Exception e) {
          olog("conflict in creating composite object");
        }
      }
    }
    return matches;
  }

	public String toString() { 
    return getLeft() + " Concat " + getRight() + "\n";}

	
}
