package guicop;
import java.util.*;

public class GCExpressionSmallerText extends GCBinaryOperator {

	public GCExpressionSmallerText (GCNode left, GCNode right) {
    super(left,right);
	}

 @Override
 public int computeInt(GCCompositeComp composite, int depth) {
   assert(false);
   return 0;
 }
 @Override
  public String getPrettyName() {
    return "issubstring";
  }

 @Override
  public ArrayList <GCComponent> executeOp(ArrayList<GCComponent > leftSolution , ArrayList<GCComponent > rightSolution) {
    for (GCComponent comp1 : leftSolution) {
      for (GCComponent comp2 : rightSolution) {
        if (comp1.getText().length() < comp2.getText().length() ) {
          try {
            GCComponent composite = new GCCompositeComp(comp1.composite(), comp2.composite());
            matches.add(composite);
          } catch (Exception e) {
            olog(GCNode.sol.depth,"conflict in creating composite object");
          }
        }
      }
    }
    return matches;
  }
 
	public String toString() { return getLeft() + " textsmaller " + getRight() + "\n";}
}
