package guicop;
import java.util.*;

public class GCExpressionSubstring extends GCBinaryOperator {

	public GCExpressionSubstring(GCNode left, GCNode right) {
    super(left,right);
	}

 @Override
 public int computeInt(GCCompositeComp composite, int depth) {
   assert(false);
   return 0;
 }
 @Override
  public String getPrettyName() {
    return "issubstring";
  }

 @Override
  public ArrayList <GCComponent> executeOp(ArrayList<GCComponent > leftSolution , ArrayList<GCComponent > rightSolution) {
    for (GCComponent comp1 : leftSolution) {
      for (GCComponent comp2 : rightSolution) {
        if (comp2.getText().contains(comp1.getText())) {
          try {
            GCComponent composite = new GCCompositeComp(comp1.composite(), comp2.composite());
            matches.add(composite);
          } catch (Exception e) {
            olog("conflict in creating composite object");
          }
        }
      }
    }
    return matches;
  }
 
	

	public String toString() { return getLeft() + " issubstring " + getRight() + "\n";}

	
}
