package guicop;

public class GCLineComp extends GCPrimitiveComp {
  public int x1, y1, x2, y2;
  public GCLineComp( int x1, int  y1, int  x2, int  y2){
    if (x1 < x2) {
        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
    } else {
        this.x2 = x1;
        this.y2 = y1;
        this.x1 = x2;
        this.y1 = y2;
    }
  }

  public boolean equals(GCLineComp comp) {
    if (x1 != comp.x1) return false;
    if (y1 != comp.y1) return false;
    if (x2 != comp.x2) return false;
    if (y2 != comp.y2) return false;
    return true;
  }

  @Override
  public boolean isLine() {
    return true;
  }

  public int getX() {return x1;}
  public int getY() {return y1;}
  public int getWidth() {return x2 - x1;}
  public int getHeight() {return y2 - y1;}
  public int getX2() {return x2;}
  public int getY2() {return y2;}

  public String toString() {
    return "component " + Integer.toString(id) +  "line(" + 
      Integer.toString(x1) + "," + 
      Integer.toString(y1) + "," + 
      Integer.toString(x2) + "," + 
      Integer.toString(y2) + 
       ")";
  }

}
