package guicop;
import java.util.*;

public class GCNumber extends GCLiteral {

	public int value;

	public GCNumber(String text)
	{
		value = Integer.valueOf(text);
	}
 @Override
  public String getPrettyName() {
    return "number";
  }

  @Override
  public int computeInt(GCCompositeComp composite, int depth) {
    return value;//composite.getIntValue();
  }

	@Override
	public ArrayList<GCComponent> matchExecute(int depth) {
    // create a joker composite component with 
    // x as value
    GCCompositeComp composite = new GCCompositeComp();
    composite.iVal = value;
    matches.add(composite);
    return matches;
  }

	public String toString() { return "" + value;}
}
