package guicop;

import java.util.ArrayList;

public class GCPolygonComp extends GCPrimitiveComp {
  public int x1, y1;

  public ArrayList<Integer> xcoors;
  public ArrayList<Integer> ycoors;

  public GCPolygonComp( int x1, int  y1){
    this.x1=x1;
    this.y1=y1;
    xcoors = new ArrayList<Integer>();
    ycoors = new ArrayList<Integer>();
  }

  public void addSide(int x, int y) {
    xcoors.add(x);
    ycoors.add(y);
  }

  public boolean equals(GCPolygonComp comp) {
    //TODO: need to check if component is a joker or has a joker?
    if (x1 != comp.x1) return false;
    if (y1 != comp.y1) return false;
    if (xcoors.size() != comp.xcoors.size()) return false;

    for (int i = 0; i < xcoors.size(); i++) {
      if (xcoors.get(i) != comp.xcoors.get(i)) return false;
      if (ycoors.get(i) != comp.ycoors.get(i)) return false;
    }
    return true;
  }

  public String toString() {
    String str = "component " + Integer.toString(id) +  "polygon(" + 
      Integer.toString(x1) + "," + 
      Integer.toString(y1) ;
    for (int i = 0; i < xcoors.size(); i++) {
      str += ",";
      Integer xx = xcoors.get(i);
      Integer yy = ycoors.get(i);
      str += xx.toString() + "," + yy.toString();
    }
    str+=")";
    return str;
  }
}
