package guicop;
import java.util.*;

public class GCString extends GCLiteral {
	
	public String value;

	public GCString(String value)
	{
		this.value = value;
	}
 @Override
  public String getPrettyName() {
    return "string";
  }

	@Override
  public String computeText(GCCompositeComp composite, int depth) {
    return value; //composite.getStrValue();
  }

	@Override
  public int computeInt(GCCompositeComp composite, int depth) {
    assert(false);
    return 0;
  }

	@Override
	public ArrayList<GCComponent> matchExecute(int depth) {
    // create a joker composite component with 
    // x as value
    GCCompositeComp composite = new GCCompositeComp();
    composite.strVal = value;
    matches.add(composite);
    return matches;
  }

	public String toString() { return value;}
}
