package guicop;

import java.*;

public class GCTextRectangleComp extends GCPrimitiveComp {
  int x; int y; int width; int height; String text;
  public GCTextRectangleComp(int x, int y, int w, int h, String s) {
    this.x=x;
    this.y=y;
    this.width=w;
    this.height=h;
    this.text= s;
  }
  public int getX() {return x;}
  public int getY() {return y;}
  public int getWidth() {return width;}
  public int getHeight() {return height;}
  public String getText() {return text;}

  public boolean equals(GCTextRectangleComp comp) {
    //TODO: need to check if component is a joker or has a joker?
    if (x != comp.x) return false;
    if (y != comp.y) return false;
    if (width != comp.width) return false;
    if (height != comp.height) return false;
    if (text != comp.text) return false;
    return true;
  }

  public String toString() {
    return "component " + Integer.toString(id) +  "textrect (" + 
      Integer.toString(x) + "," + 
      Integer.toString(y) + "," + 
      Integer.toString(width) + "," + 
      Integer.toString(height) + "," + 
       text + ")";
  }
}
