MainMenuLabel = { 
  variables {
    ExtTextRect m;
    ExtRectangle hotkey; 
  }
  properties {
    // by default X, Y, WIDTH and HEIGHT will describe 
    // the smallest rectangle enclosing m and hotkey
  }
  constraints {
    (m above hotkey);
    (hotkey.height < 3);    // rectangle with small height     
    (m.x < (hotkey.x - 1)); // hotkey starts after text horizontally
    (hotkey.x2 < (m.x2 - 1));   // hotkey is shorter than text 
    (hotkey.y > (m.y2 + 1));// hotkey indicator is below text
    (hotkey.y < (m.y2 + 4));// hotkey indicator is not way below text
  }
}

ExtRectangle = {
  variables { 
    Rectangle r;
  }
  properties{
    x2 = (r.x + r.width);
    y2 = (r.y + r.height);
  }
  constraints {
    true;
  }
}

ExtTextRect = { 
  variables { 
    Textrect r;
  }
  properties {
    x2 = (r.x + r.width);
    y2 = (r.y + r.height);
    text = r.text;
  }
  constraints {
    true;
  }
}
