package GC;

import org.antlr.runtime.*;
import guicop.*;

public class ParseSpec {

  public static void main(String[] args) throws Exception {

    if (args.length != 1)
    {
      System.err.println("missing input spec file");
      return;
    }

    // Create an TLexer that feeds from that stream
    SpecLexer lexer = new SpecLexer(new ANTLRFileStream(args[0]));

    // Create a stream of tokens fed by the lexer
    CommonTokenStream tokens = new CommonTokenStream(lexer);

    // Create a parser that feeds off the token stream
    SpecParser parser = new SpecParser(tokens);

    parser.specobjects();
    //System.out.println("out = " + parser.specobjects().spec);
    parser.currentSpec.olog("all objects = " + parser.specs);
  }
}
