package guicop;

abstract public class GCComponent {
  static public int counter = 0;
  static public GCComponent joker = new GCJokerComp();
  public int id = 0; 

  public GCComponent ()  {
    id = counter;
    counter ++;
  }

  public boolean isLine() {
    return false;
  }

  public boolean isJoker() {
    return false;
  }

  public boolean isComposite () {
    return false;
  }

  public boolean isEqual(GCComponent rhs) { 
    //TODO: this might needs to be more refined
    if (rhs.isJoker()) return true;
    if (isJoker()) return true;// this should never happen as the 
    // method is ovirreden
    return equals(rhs);}

  public GCUDefObj getUDefObj() {return null;}
  public GCCompositeComp composite() {return null;}

  public int getX() {return 0;}
  public int getY() {return 0;}
  public int getXPlusW() {return getX() + getWidth();}
  public int getYPlusH() {return getY() + getHeight();}
  public int getArea() {return getWidth() * getHeight();}

  public int getMinX() { return getX();}
  public int getMaxX() { return getX();}
  public int getMinY() { return getY();}
  public int getMaxY() { return getY();}

  public boolean contains(GCComponent rhs) {
    if (getX() > rhs.getX()){
      return false;
    }
    if (getXPlusW() < rhs.getXPlusW()){
      return false;
    }
    if (getY() > rhs.getY()){
      return false;
    }
    if (getYPlusH() < rhs.getYPlusH()){
      return false;
    }
    return true;
  }

  public boolean isAbove (GCComponent rhs) {
    return getMaxY() < rhs.getMinY();
  }

  public boolean isLeftto (GCComponent rhs) {
    return getMaxX() < rhs.getMinX();
  }
  
  public int getWidth() {return 0;}
  public int getHeight() {return 0;}
  public String getText() {return "";}

  public int getIntValue() {return 0;}
  public String getStringValue() {return "";} 

  public int getIntProperty(String name) {return 0;}
  public String getStringProperty(String name) {return "";}
}
