package guicop;

public class GCRectangleComp extends GCPrimitiveComp {
  int x; int y; int width; int height; 
  public GCRectangleComp(int x, int y, int w, int h) {
    this.x=x;
    this.y=y;
    this.width=w;
    this.height=h;
  }
  public boolean equals(GCRectangleComp comp) {
    if (x != comp.x) return false;
    if (y != comp.y) return false;
    if (width != comp.width) return false;
    if (height != comp.height) return false;
    return true;
  }

  public int getX() {return x;}
  public int getY() {return y;}
  public int getWidth() {return width;}
  public int getHeight() {return height;}

  public String toString() {
    return "component " + Integer.toString(id) +  " rect (" + 
      Integer.toString(x) + "," + 
      Integer.toString(y) + "," + 
      Integer.toString(width) + "," + 
      Integer.toString(height) + 
       ")";
  }
}
