package guicop;

public class GCTextComp extends GCPrimitiveComp {
  int x; int y; String text;
  public GCTextComp(int x, int y, String s) {
    this.x=x;
    this.y=y;
    this.text= s;
  }
  final int MAX_CHAR_WIDTH = 8;
  final int CHAR_HEIGHT = 12;

  public int getX() {return x;}
  public int getY() {return y;}
  public int getWidth() {return text.length()*MAX_CHAR_WIDTH;}
  public int getHeight() {return CHAR_HEIGHT;}
  public String getText() {return text;}

  public boolean equals(GCTextComp comp) {
    //TODO: need to check if component is a joker or has a joker?
    if (x != comp.x) return false;
    if (y != comp.y) return false;
    if (text != comp.text) return false;
    return true;
  }

  public String toString() {
    return "component " + Integer.toString(id) +  "text (" + 
      Integer.toString(x) + "," + 
      Integer.toString(y) + "," + 
       text + ")";
  }
}
