package guicop;
import java.util.*;

abstract public class GCUnaryOperator extends GCExpression {

  public GCUnaryOperator (GCNode operand) {
    super(operand);
  }

  public GCNode getLeft() {
		return children.get(0);
  }

  public GCNode getOperand() {
		return children.get(0);
  }

  @Override
  public BitSet getIndicesOfExpVars(BitSet who, int depth) {
    GCExpression expr = (GCExpression) getLeft();
    who = expr.getIndicesOfExpVars(who,depth+1);
    return who;
  }

	@Override
	public ArrayList<GCComponent> matchExecute(int depth) {
    assert(children.size() == 1);
		ArrayList<GCComponent> operandSolution = children.get(0).match(depth+1);
    return executeOp(operandSolution);
	}
  abstract ArrayList <GCComponent> executeOp( ArrayList<GCComponent > operandSolution );

}
