RightToLeft = { 
  variables { 
    Textrect t1, t2; 
    Editbox eb;
  }
  properties { 
    // by default X, Y, WIDTH and HEIGHT will describe 
    // the smallest rectangle enclosing t1 and t2
  }
  constraints {
    // the concatenation of t1 and t2 yields a sentence stating that “the little girl went 
    // to school carrying her bag then she met her friend with whom she shared a candy bar”

    (eb contains t1);
    (eb contains t2);
    (t1 above t2); 
    (eb.width > t1.width);
    (eb.width > t2.width);
    (
     (
      ( t1.text equal 'حقيبتها ذهبت الفتاة الى المدرسة حاملة') and 
      ( t2.text equal 'التقت بصديقتها واقتسمتا لوح حلوى ثم')
     ) 
     implies  
     (
          (t1.width > t2.width) implies (t1.x < t2.x)
     )
    )
      ;	 
  }
} 
